Bug 576457 - firstboot errors when loading modules
firstboot errors when loading modules
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-24 01:34 EDT by Misty Stanley-Jones
Modified: 2014-06-18 03:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 530320
Environment:
Last Closed: 2010-12-03 11:50:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misty Stanley-Jones 2010-03-24 01:34:38 EDT
Original bug contents are below my comments.

Problem: reboot loop at firstboot

Reproducible: yes

Steps to reproduce:
1. Install F12 GA (32-bit or 64-bit) with custom disk options:
   * Remove LVM partitions
   * Configure ext4 primary partitions for /boot (400MB), /home (50GB), / (100GB), and a swap partition of 4GB. /boot is sda1, swap is sda2, / is sda3, /home is sda4.
   * Continue to install as normal
   * System will reboot into firstboot, and then reboot after about 1 minute.

If you are quick enough with the ctrl-alt-F1, you can see the following messages on the terminal:

firstbook ERROR: Error loading module
No module named rhpl.iconv
Loading /lib/kbd/keymaps/i386/qwerty/us.map.gz
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW meessage with a timestamp of 0 for 0x400041 (firsboot)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp: the pager needs to be fixed

Hardware: Lenovo Thinkpad T500 with Intel Centrino processor. This may be hardware-related but I have not been able to test that.

Workaround: Install with the default disk options.

==============================================================================
+++ This bug was initially created as a clone of Bug #530320 +++

Description of problem:
when firstboot shows up after F-12 beta installation, some modules are missing (for example smolt) and following messages are printed to boot windows:

Loading /lib/kbd/keymaps/i386/querty/us.map.gz

firstboot ERROR: Module language does not contain a class named moduleClass: skipping.

firstboot ERROR: Error loading module smolt:

No module named rhpl.iconv

Loading /lib/kbd/keymaps/i386/querty/us.map.gz

Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x6000ab (firstboot)

Window manager warning: meta_window_activate called by a pager with a 0 timestamp; this pager needs to be fixed



Version-Release number of selected component (if applicable):
firstboot-1.110-1.fc12.x86_64


Steps to Reproduce:
1.install F-12 beta
2.
3.
  
Actual results:
some modules are missing, prints error messages

Expected results:
no modules missing, no error messages

--- Additional comment from awilliam@redhat.com on 2009-10-23 15:01:49 EDT ---

The fix for the Smolt module being missing landed today:

smolt-1.4-4.fc12
----------------
* Tue Oct 13 2009 Mike McGrath <mmcgrath@redhat.com> 1.4-4
- Fixing firstboot for F-12

there appear to be three separate bugs here: Smolt module missing, language module missing, and 'No module named rhpl.iconv' . The window manager warnings we don't think are really important. can you file separate bugs for all three errors, and set them to block this bug? We'll use this one as a tracker.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

--- Additional comment from mhlavink@redhat.com on 2009-10-24 06:18:33 EDT ---

Is it required to clone also smolt part? smolt is already fixed and tagged for f12.

After manual update to smolt packages I've found in koji and running firstboot, smolt module shows up correctly.

--- Additional comment from clumens@redhat.com on 2009-10-26 11:40:42 EDT ---

So, what error message is this bug report now tracking?

--- Additional comment from mhlavink@redhat.com on 2009-10-26 11:59:46 EDT ---

(In reply to comment #3)
> So, what error message is this bug report now tracking?

It seems this is just tracking bug for those two this depends on. So, only 530698 remains (afaict).

--- Additional comment from psatpute@redhat.com on 2009-10-28 00:25:59 EDT ---

system-config-language firstboot bug is also fixed now and tagged for f12.

--- Additional comment from awilliam@redhat.com on 2009-10-30 13:21:51 EDT ---

This was a tracker for two other bugs that have now been closed. Closing.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 1 Adam Williamson 2010-03-24 10:27:36 EDT
if you boot to initlevel 3 (just add '3' as a kernel parameter), can you get to a console? If you then create a user account with 'useradd', login as that user and do startx, does it work? Then try disabling the 'firstboot' service and rebooting to normal initlevel (5) again...

just trying to help narrow down what the breakage is here. Seems odd that firstboot itself would get stuck like that...
Comment 2 Adam Williamson 2010-03-24 14:40:49 EDT
also, why is this set as an F13 blocker when it's filed against F12 and your initial report says you were testing F12?
Comment 3 Misty Stanley-Jones 2010-03-24 18:42:12 EDT
I did not mark it as an F13 blocker (though it may be, if it still exists in F13). I will do the tests you requested and get back with you.
Comment 4 Adam Williamson 2010-03-24 19:41:16 EDT
hmm, it was me who set it as a beta blocker. clearly i'm losing it. =) sorry. adjusting.
Comment 5 Misty Stanley-Jones 2010-03-29 00:31:18 EDT
Your workaround does work. What else works is setting /boot as ext3 instead of ext4. I am out of time to test this, but hopefully something helpful has come out of it.
Comment 6 Adam Williamson 2010-03-30 22:49:31 EDT
that should at least give the devs a fighting chance of figuring out what's wrong...



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2010-11-03 14:45:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 11:50:10 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.